### Method

# Gimp TextLayer get_text

since: 2.6

#### Declaration [src]

    gchar*
    gimp_text_layer_get_text (
      GimpTextLayer* layer
    )

#### Description [src]

Get the text from a text layer as string.

This procedure returns the text from a text layer as a string.

Available since: 2.6

#### Return value

Type: `gchar*`

The text from the specified text layer. The returned value must be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.